<?php

/**
 * Module: Testimonials
 *
 * @author 		SpyroSol
 * @category 	SpyropressBuilderModules
 * @package 	Spyropress
 */

class Spyropress_Module_Testimonials extends SpyropressBuilderModule {

    public function __construct() {

        // Widget variable settings.

        $this->cssclass = 'testimonials';
        $this->description = __( 'Testimonials.', 'spyropress' );
        $this->id_base = 'testimonial';
        $this->name = __( 'Testimonials', 'spyropress' );

        // Fields
        $this->fields = array(
            
            array(
                'label' => __( 'Number of Columns', 'spyropress' ),
                'id' => 'columns',
                'type' => 'range_slider',
                'std' => 3,
                'max' => 4
            ),
            
            array(

                'label' => __( 'Testimonial', 'spyropress' ),
                'id' => 'testimonial',
                'type' => 'repeater',
                'item_title' => 'heading',
                'fields' => array(
                    array(
                        'label' => __( 'Author Name', 'spyropress' ),
                        'id' => 'author',
                        'type' => 'text'
                    ),
                    
                    array(
                        'label' => __( 'Upload Icon', 'spyropress' ),
                        'id' => 'icon',
                        'type' => 'upload'
                    ),
        
                    array(
                        'label' => __( 'Content', 'spyropress' ),
                        'id' => 'content',
                        'type' => 'textarea',
                        'rows' => 6
                    )
                )
            )
            
        );

        $this->create_widget();
    }

    function widget( $args, $instance ) {

        // extracting info
        extract( $args ); extract( $instance );
        // get view to render
        include $this->get_view();
    }
    
    function testimonial_generator( $item, $atts ){
        
        return 
        '<div class="' . esc_attr( $atts['column_class'] ) . ' tm-data">
          <div class="img-thumbnail"> <img src="'. esc_url( $item['icon'] ) .'" alt="client">
            <div class="caption">
              <p>'. esc_html( $item['content'] ) .'</p>
              <h5>'. esc_html( $item['author'] ) .'</h5>
            </div>
          </div>
        </div>';
        
     }

}
spyropress_builder_register_module( 'Spyropress_Module_Testimonials' );
?>