<?php
/*
 * Core Spyropress header template
 *
 * Customise this in your child theme by:
 * - Using hooks and your own functions
 * - Using the 'header-content' template part
 * - For example 'header-content-category.php' for category view or 'header-content.php' (fallback if location specific file not available)
 * - Copying this file to your child theme and customising - it will over-ride this file
 *
 * @package Spyropress
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<?php spyropress_wrapper(); ?>
    <?php spyropress_before_header(); ?>
    <!-- header -->
     <?php spyropress_before_header_content(); ?>
        <nav class="navbar navbar-default navbar-fixed-top" role="navigation"> 
          <!-- Brand and toggle get grouped for better mobile display -->
          <div class="container">
              <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-ex1-collapse"> 
                    <span class="sr-only">Toggle navigation</span> 
                    <span class="icon-bar"></span> 
                    <span class="icon-bar"></span> 
                    <span class="icon-bar"></span> 
                </button>
                <?php spyropress_logo( array( 'brand' => true ) ); ?>
              </div>
            
            <!-- Collect the nav links, forms, and other content for toggling -->
            <div class="collapse navbar-collapse navbar-ex1-collapse">
                
                <?php 
                    $frontpage_id = get_option('page_for_posts');
                    $page_options = get_post_meta( $frontpage_id , '_page_options', true );
	            if( isset( $page_options['onepage_menu'])  ):
	                $menu = wp_nav_menu( array(
	                    'container' => '',
	                    'menu_class' => 'nav navbar-nav navbar-right',
	                    'menu_id' => '',
	                    'menu' => $page_options['onepage_menu'],
	                    'echo' => false,
	                    'walker' => new Bootstrapwp_Walker_Nav_Menu
	                ) );
	            
	                $url = ( is_front_page() ) ? '#' : home_url('/#');
	                echo str_replace( '#HOME_URL#', $url, $menu );
	                
	             elseif( has_nav_menu( 'primary' ) ):
	               $menu = wp_nav_menu( array(
	                    'container' => '',
	                    'menu_class' => 'nav navbar-nav navbar-right',
	                    'menu_id' => '',
	                    'echo' => false,
	                    'walker' => new Bootstrapwp_Walker_Nav_Menu
	                ) );
	            
	                $url = ( is_front_page() ) ? '#' : home_url('/#');
	                echo str_replace( '#HOME_URL#', $url, $menu );
	                    
	             endif;                   
                ?> 
              
            </div><!-- /.navbar-collapse --> 
            
            
          </div>
        </nav><!-- end nav -->   
     <?php spyropress_after_header_content(); ?>
     
     <!-- /header -->
    <?php spyropress_after_header(); ?>