<?php



/**

 * Page Component

 * 

 * @package		SpyroPress

 * @category	Components

 */



class SpyropressPage extends SpyropressComponent {



    private $path;



    function __construct() {



        $this->path = dirname( __file__ );

        

        add_action( 'spyropress_register_taxonomy', array( $this, 'register' ) );

    }



    function register() {



        // Init Post Type

        $post = new SpyropressCustomPostType('Page');

        

        $menus = wp_get_nav_menus();

        $menu_options = array();



        if ( isset( $menus ) && count( $menus ) > 0 ) {

            foreach ( $menus as $menu ) {

                $menu_options[$menu->term_id] = $menu->name;

            }

        }



        // Add Meta Boxes

        $meta_fields['options'] = array(

            array(

                'label' => __( 'Menu','spyropress' ),

                'type' => 'heading',

                'slug' => 'options'

            ),

            

            array(

                'label' => __( 'OnePage Menu', 'spyropress' ),

                'id' => 'onepage_menu',

                'type' => 'select',

                'class' => 'page_template one-page-php',

                'options' => $menu_options

            ),
            
            array(

                'label' => __( 'Slider', 'spyropress' ),

                'id' => 'slider',

                'type' => 'select',

                'options' => spyropress_get_sliders(),

            ),

        );


        $post->add_meta_box( 'page_options', 'Page Options', $meta_fields,'_page_options', false, 'normal', 'high' );

    }

}



/**

 * Init the Component

 */

new SpyropressPage();



?>