<?php

/**
 * Flex Slider
 * Related functions
 */

/**
 * Slides Options
 */
function get_flexslides_setting() {
    $slides = array(
        array(
            'label'  => __( 'Slides', 'spyropress' ),
            'type' => 'heading',
            'icon' => 'general',
            'slug' => 'instruction'
        ),

        array(
                'label' => __( 'Slider', 'spyropress' ),
                'id' => 'slider',
                'type' => 'repeater',
                'item_title' => 'title',
                'fields' => array(
                     
                     array(

                        'label' => __( 'Title', 'spyropress' ),
                        'id' => 'title',
                        'type' => 'text'
                    ),
        
                    array(
        
                        'label' => __( 'Description', 'spyropress' ),
                        'id' => 'description',
                        'type' => 'textarea',
                        'rows' => 3
                        
                    ),
                    
                    array(
                        'label' =>  __( 'Slide', 'spyropress' ),
                        'id' => 'slide',
                        'type' => 'upload'
                    ),
                    
                    array(
                        'label' =>  __( 'Custom Class ', 'spyropress' ),
                        'id' => 'postion',
                        'type' => 'select',
                        'options' => array(
                            'hero-unit' => __( 'Left', 'spyropress' ),
                            'slide2' => __( 'Right', 'spyropress' ),
                            'slide3' => __( 'Center', 'spyropress' ),
                        ),'std' => 'slide3'
                    ),
                    
                    array(
                    		'label' => __( 'Button', 'spyropress' ),
                    		'type' => 'toggle'
                   	),
                    
                        array(
                            'label' => __( 'Button', 'spyropress' ),
                            'id' => 'buttons',
                            'type' => 'repeater',
                            'item_title' => 'slide',
                            'fields' => array(
                                array(
                                    'label' => __( 'Text', 'spyropress' ),
                                    'id' => 'btn_text',
                                    'type' => 'text'
                                ),
                                
                                array(
                                    'label' => __( 'Link', 'spyropress' ),
                                    'id' => 'btn_link',
                                    'type' => 'text'
                                ),
                            
                            )
                        ),
                    
                    array(
                		'type' => 'toggle_end'
                	),
                )
            )
    );

    return $slides;
}

/**
 * Slider Setting Options
 */
function get_flexslider_setting() {}

/**
 * Enqueue Style and Script
 */
function enqueue_flexslider_assets() {
    wp_enqueue_style( 'flexslider', assets_css() . 'flexslider.css', false, '2.1' );
    wp_enqueue_script( 'jquery-flexslider', assets_js() . 'jquery.flexslider.js', false, '2.1', true );
}

/**
 * Generate Markup
 */
function flexslider_shortcode_handler( $slider_id, $slides, $settings = '' ) {

    // generate id
    $slider_id = 'flexslider_' . $slider_id;
    print_r($slides['slide']);
    
    $out = '';
    $out .= '<div class="flexslider" id="'. $slider_id. '"><ul class="slides">';
      
                             
            foreach ( $slides as $item ){ 
                    
                    $content = $class = '';
                    
                    
                        $class = ( $item['postion'] )? $item['postion'] : '';
                        $content .= '<div class="'. esc_attr( $class ) .'">';
                            $content .= ( isset( $item['slide'] ) )? '<p><img src="'. esc_url( $item['slide'] ) .'" alt="server" class="img-responsive"></p>' : '';
                            $content .= (  isset( $item['title'] ) )? '<h1>'. esc_html( $item['title'] ) .'</h1>': '';
                            $content .= ( isset( $item['description'] ) )? '<h3>'. esc_html( $item['description'] ) .'</h3>': '';
                            
                            if( isset( $item['buttons'] ) ):
                                $content .= '<div class="slider-actions text-center">';
                                    foreach( $item['buttons'] as $button )
                                        $content .= ' <a href="'. esc_url( $button['btn_link'] ) .'" class="btn btn-success btn-lg">'. esc_html( $button['btn_text'] ) .' </a>';
                               $content .= '</div>';
                            endif; 
                        $content .= '</div>';
               
    				
                    
                    $out .= '<li>'. $content .'</li>';
            }
       
    $out .='</ul></div>';

    return $out;
}
?>