<?php



/**

 * Init Theme Related Settings

 */



/** Internal Settings **/

require_once 'version.php';



/**

 * Required and Recommended Plugins

 */

function spyropress_register_plugins() {



    /**

     * Array of plugin arrays. Required keys are name and slug.

     * If the source is NOT from the .org repo, then source is also required.

     */

    $plugins = array(



        // Wordpress SEO

        array(

            'name'      => 'WordPress SEO by Yoast',

            'slug'      => 'wordpress-seo',

            'required'  => false,

        ),



        // Contact Form 7

        array(

            'name'      => 'Contact Form 7',

            'slug'      => 'contact-form-7',

            'required'  => false,

        ),

        

        // Envato Toolkit Master

        array(

            'name'      => 'Envato Toolkit Master',

            'slug'      => 'envato-wordpress-toolkit-master',

            'required'  => true,

            'source'    => get_template_directory() . '/includes/plugins/envato-wordpress-toolkit-master.zip'

        ),
        
        // Envato Toolkit Master

        array(

            'name'      => 'Zopim Live Chat',

            'slug'      => 'zopim-live-chat',

            'required'  => false,


        ),




    );



    tgmpa( $plugins );

}

add_action( 'tgmpa_register', 'spyropress_register_plugins' );



/**

 * Add modules and tempaltes to SpyroBuilder

 */

function spyropress_register_builder_modules( $modules ) {



    $path = dirname(__FILE__);



    $modules[] = 'modules/icon-teaser/icon-teaser.php';

    $modules[] = 'modules/our-clients/clients.php';

    $modules[] = 'modules/heading/heading.php';

    $modules[] = 'modules/list/list.php';

    $modules[] = 'modules/divider/divider.php';

    $modules[] = 'modules/testimonials/testimonials.php';

    $modules[] = 'modules/gmap/gmap.php';
    
    $modules[] = 'modules/domain/domain.php';



    return $modules;

}

add_filter( 'builder_include_modules', 'spyropress_register_builder_modules' );



/**

 * Define the row wrapper html

 */

function spyropress_row_wrapper( $row_ID, $row ) {

    

    // CssClass

    $section_class = array();

    if( isset( $row['options']['skin'] ) && !empty( $row['options']['skin'] ) )

        $section_class[] = $row['options']['skin'];



    $row_html = sprintf( '

        <div id="%1$s" class="%2$s">

            <div class="container">

                <div class="%3$s">

                    %4$s

                </div>

            </div>

        </div>', $row_ID, spyropress_clean_cssclass( $section_class ), get_row_class( true ), builder_render_frontend_columns( $row['columns'] )

    );



    return $row_html;

}

add_filter( 'spyropress_builder_row_wrapper', 'spyropress_row_wrapper', 10, 2 );



/**

 * Include Widgets

 */

function spyropress_register_widgets( $widgets ) {

    

    $path = dirname(__FILE__) . '/widgets/';



    $custom = array(

         $path . 'contact-info/contact.php'

    );



    return array_merge( $widgets, $custom );

}

add_filter( 'spyropress_register_widgets', 'spyropress_register_widgets' );



/**

 * Unregister Widgets

 */

function spyropress_unregister_widgets( $widgets ) {

    

    $custom = array();



    return array_merge( $widgets, $custom );

}

add_filter( 'spyropress_unregister_widgets', 'spyropress_unregister_widgets' );



/**

 * Comment Callback

 */

if( !function_exists( 'spyropress_comment' ) ) :

function spyropress_comment( $comment, $args, $depth ) {

    $translate['comment-reply'] = get_setting( 'translate' ) ? get_setting( 'comment-reply', 'Reply' ) : __( 'Reply', 'spyropress' );

    $translate['comment-moderation'] = get_setting( 'translate' ) ? get_setting( 'comment-moderation', 'Your comment is awaiting moderation.' ) : __( 'Your comment is awaiting moderation.', 'spyropress' );

	$GLOBALS['comment'] = $comment;

	switch ( $comment->comment_type ) :

		case 'pingback' :

		case 'trackback' :

	?>

	<li class="post pingback">

		<p><?php _e( 'Pingback:', 'spyropress' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __( 'Edit', 'spyropress' ), '<span class="edit-link">', '</span>' ); ?></p>

	<?php

			break;

		default :

	?>

    <li <?php comment_class('media'); ?> id="li-comment-<?php comment_ID(); ?>">

        <a href="<?php comment_author_url(); ?>" class="pull-left" >

            <?php echo get_avatar( $comment, 54 ); ?>

        </a>

    	<div class="media-body">

            <h4 class="media-heading"><?php comment_author(); ?></h4>

    		<p >

                <?php if ( $comment->comment_approved == '0' ) { ?>

                    <em class="comment-awaiting-moderation"><?php _e( '', 'spyropress' ); ?></em><br />

                <?php

                 }else{

                    echo get_comment_text();

                ?>

                <span class="timestamp">

                    <?php 

                        printf( __( '%1$s at %2$s ', 'spyropress' ), get_comment_date(), get_comment_time() ); 

            	

                        comment_reply_link( array_merge( $args, array(

                            'depth' => $depth,

                            'reply_text' => $translate['comment-reply'],

                            'max_depth' => $args['max_depth'],

                        ) ) );

                    ?>

            	</span>

                <?php } ?>

        	</p>

            

    	</div>

	<?php

			break;

	endswitch;

}

endif;



/**

 * Pagination Defaults

 */

function spyropress_pagination_defaults( $defaults = array() ) {

    

    $defaults['container'] = 'nav';

    $defaults['style'] = 'simple';

    $defaults['container_class'] = 'nav-pagination';

    

    return $defaults;

}

add_filter( 'spyropress_pagination_defaults', 'spyropress_pagination_defaults' );



/**

 * oEmbed Modifier

 */

function oembed_modifier( $html ) {

    

    $html = preg_replace( '/(width|height|frameborder)="\d*"\s/', "", $html );

    

    if( is_str_contain( 'video-container', $html ) ) return $html;

    

    return '<div class="video-container">' . $html . '</div>';

}

add_filter( 'embed_oembed_html', 'oembed_modifier', 10 );

add_filter( 'oembed_result', 'oembed_modifier', 10 );