<?php



/**

 * Enqueue scripts and stylesheets

 *

 * @category Core

 * @package SpyroPress

 *

 */



/**

 * Register StyleSheets

 */

function spyropress_register_stylesheets() {



    // Google Webfonts

    $gurl = 'http' . ( is_ssl() ? 's' : '' ) . '://fonts.googleapis.com/css?family=Montserrat:400,700';

    wp_enqueue_style( 'google-fonts', $gurl );

   



    // Default stylesheets

    wp_enqueue_style( 'bootstrap', assets_css() . 'bootstrap.min.css', false, '3.2.0' );

    wp_enqueue_style( 'hosting', assets_css() . 'hosting.css', false, false );
    
    wp_enqueue_style( 'main', child_url() . 'style.css' );



    // Dynamic StyleSheet

    if ( file_exists( dynamic_css_path() . 'dynamic.css' ) )

        wp_enqueue_style( 'dynamic', dynamic_css_url() . 'dynamic.css', false, '2.0.0' );



    // Builder StyleSheet

    if ( file_exists( dynamic_css_path() . 'builder.css' ) )

        wp_enqueue_style( 'builder', dynamic_css_url() . 'builder.css', false, '2.0.0' );



    // modernizr

    wp_enqueue_script( 'modernizr', assets_js() . 'modernizr.js', array( 'jquery' ), '2.6.2', false );

}



/**

 * Enqueque Scripts

 */

function spyropress_register_scripts() {



    /**

     * Register Scripts

     */

    // threaded comments

    if ( is_single() && comments_open() && get_option( 'thread_comments' ) )

        wp_enqueue_script( 'comment-reply' );



    // Plugins

    wp_register_script( 'jquery-bootstrap', assets_js() . 'bootstrap.min.js', false, '2.0', true );

    wp_register_script( 'jquery-easing', assets_js() . 'jquery.easing.1.2.js', false, '1.1.2', true );

    wp_register_script( 'jquery-nav', assets_js() . 'jquery.nav.js', false, '1.1.2', true );

     

    $deps = array(

        'jquery-bootstrap',

        'jquery-easing',

        'jquery-nav'

    );

    // custom scripts

    wp_register_script( 'custom-script', assets_js() . 'main.js', $deps, false, true );



    /**

     * Enqueue All

     */

    wp_enqueue_script( 'custom-script' );

}



function spyropress_conditional_scripts() {



}